import 'package:flutter/material.dart';
import 'package:healthcare_user/common/settings.dart';

class Reports extends StatefulWidget {
  const Reports({Key? key}) : super(key: key);

  @override
  State<Reports> createState() => _ReportsState();
}

class _ReportsState extends State<Reports> {

  TextEditingController doctorNameController = TextEditingController();
  TextEditingController hospitalNameController = TextEditingController();
  TextEditingController problemController = TextEditingController();


  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppSettings.appBar('Reports'),
      body: Container(
        child: Padding(
          padding: EdgeInsets.all(10),
          child: Column(
            children: [
              Container(
                child: TextFormField(
                  cursorColor: greyColor,
                  controller: doctorNameController,
                  decoration: textFormFieldDecoration(Icons.person,'Enter Doctor name'),
                ),
              ),
              SizedBox(height:MediaQuery.of(context).size.height * .02,),
              Container(
                child: TextFormField(
                  cursorColor: greyColor,
                  controller: hospitalNameController,
                  decoration: textFormFieldDecoration(Icons.location_city_outlined,'Enter Hospital name'),
                ),
              ),
              SizedBox(height:MediaQuery.of(context).size.height * .02,),
              Container(
                child: TextFormField(
                  cursorColor: greyColor,
                  controller: problemController,
                  decoration: textFormFieldDecoration(Icons.edit,'Enter Problem'),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
